%define name mpd
%define version 0.20.1
%define release %mkrel 3

Summary:		MPD, the Music Player Daemon
Summary(de):		MPD (Music Player Daemon) Musikabspieldienst
Name:			%{name}
Version:			%{version}
Release:		%{release}
License:			GPLv2+
Group:			Sound
URL:			http://www.musicpd.org/
Source:			http://downloads.sourceforge.net/musicpd/%{name}-%{version}.tar.xz
Source1:		%{name}.conf
Source2:		%{name}.init
Source3:		%{name}.logrotate
Source4:		README.mpd
Source5:		mpd.db
Requires(pre):		rpm-helper
Requires(post):         rpm-helper
Requires(preun):        rpm-helper
Requires(postun):       rpm-helper
BuildRequires:		%{_lib}alsa2-devel
BuildRequires:		%{_lib}avahi-common-devel
BuildRequires:	        %{_lib}ogg-devel
BuildRequires:	        %{_lib}vorbis0-devel
BuildRequires:	        %{_lib}flac8-devel 
BuildRequires:		%{_lib}flac++6-devel
BuildRequires:	        %{_lib}audiofile-devel
BuildRequires:	        %{_lib}mikmod-devel
BuildRequires:	        %{_lib}mad-devel
BuildRequires:	        %{_lib}id3tag-devel
BuildRequires:		libatomic_ops-devel
BuildRequires:		%{_lib}shout-devel
BuildRequires:          %{_lib}jack-devel
BuildRequires:          %{_lib}ao-devel
BuildRequires:          %{_lib}pulseaudio-devel
BuildRequires:          %{_lib}mpcdec7-devel
BuildRequires:          %{_lib}wildmidi-devel
BuildRequires:          %{_lib}faad2-devel
BuildRequires:          %{_lib}lame0-devel
BuildRequires:          %{_lib}wavpack-devel
BuildRequires:          %{_lib}ffmpeg-devel
BuildRequires:          %{_lib}curl-devel
BuildRequires:		%{_lib}mms-devel
BuildRequires:          xmlto
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:  %name < %version

%description
Music Player Daemon (MPD) allows remote access for playing music (MP3, Ogg
Vorbis, FLAC, Mod, and wave files) and managing playlists. MPD is designed
for integrating a computer into a stereo system that provides control for music
playback over a local network. It is also makes a great desktop music player,
especially if your a console junkie, like frontend options, or restart X often.

%description -l de
Der Music Player Daemon (kurz MPD) ist ein Unix-Systemdienst, der das
Abspielen von Musik auf einem Computer ermöglicht.Der MPD spielt die
Audioformate Ogg Vorbis, FLAC, OggFLAC, MP2, MP3, MP4/AAC, MOD, Musepack
und wave ab. Zudem können FLAC-, OggFLAC-, MP3- und OggVorbis-HTTP-Streams
abgespielt werden. Die Schnittstelle kann auch ohne manuelle Konfiguration
mit der Zeroconf-Technik angesteuert werden. Des Weiteren wird Replay Gain,
Gapless Playback, Crossfading und das Einlesen von Metadaten aus ID3-Tags,
Vorbis comments oder der MP4-Metadatenstruktur unterstützt. Weitere
Informationen siehe <http://de.wikipedia.org/wiki/Music_Player_Daemon>


%prep
%setup -q

%build
export CPPFLAGS="-I%{_includedir}/mpcdec"
export LDFLAGS="-lvorbis"
%configure2_5x --enable-mad=no

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/var/lib/mpd
install %SOURCE5 %{buildroot}/var/lib/mpd/mpd.db
touch %{buildroot}/var/lib/mpd/mpdstate
mkdir -p %{buildroot}/var/log/mpd
touch %{buildroot}/var/log/mpd/mpd.log
touch %{buildroot}/var/log/mpd/mpd.error
mkdir -p %{buildroot}/var/run/mpd
mkdir -p %{buildroot}/var/lib/mpd/playlists
mkdir -p %{buildroot}/var/lib/mpd/music

# create this folder for the database, without we will get an error message
mkdir -p %{buildroot}/var/lib/mpd
mkdir -p %{buildroot}/var/lib/mpd/.smb
touch %{buildroot}/var/lib/mpd/.smb/smb.conf
touch %{buildroot}/var/lib/mpd/.smb/smb.conf.append
install -D %{SOURCE1} %{buildroot}/etc/mpd.conf
install -D %{SOURCE2} %{buildroot}%{_initrddir}/%{name}
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install %{SOURCE4} doc/README.mpd
rm -rf %{buildroot}%{_docdir}/mpd

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd mpd /var/lib/mpd /bin/false
usermod -g audio mpd

%post
if [ $1 -eq 1 ]
then
%create_ghostfile /var/lib/mpd/mpdstate mpd audio 644
%create_ghostfile /var/log/mpd/mpd.log mpd audio 644
%create_ghostfile /var/log/mpd/mpd.error mpd audio 644
fi

%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS doc/mpdconf.example doc/*.mpd
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(-,mpd,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_initrddir}/%{name}
%defattr(644,mpd,audio)
%attr(755,mpd,audio) %dir /var/lib/mpd
%attr(755,mpd,audio) %dir /var/lib/mpd/music
%attr(755,mpd,audio) %dir /var/lib/mpd/playlists
%attr(755,mpd,audio) /var/lib/mpd/mpd.db
%ghost /var/lib/mpd/mpdstate
%attr(755,mpd,audio) %dir /var/log/mpd
%attr(755,mpd,audio) %dir /var/run/mpd
%attr(755,mpd,audio) %dir /var/lib/mpd
%attr(755,mpd,audio) %dir /var/lib/mpd/.smb
%ghost /var/log/mpd/mpd.log
%ghost /var/log/mpd/mpd.error
/var/lib/mpd/.smb/smb.conf
/var/lib/mpd/.smb/smb.conf.append


%changelog
* Mon Jul 03 2017 adrianomorselli <adrianomorselli> 0.20.1-3uplos2017
- rebuild against new wildmidi
